(*
  Autor" Alojz Bendak 2006
*)
unit funkcie;

interface

uses Forms,Windows,Dialogs;

procedure Wait(const iTime:Cardinal);
procedure WaitProcMes(const iTime:Cardinal);
function DefMessageDlg(const Title: string; const Msg: string;
  DlgType: TMsgDlgType; Buttons: TMsgDlgButtons; DefButton : integer; HelpCtx : longint): integer;

implementation

uses
  stdctrls;

procedure Wait(const iTime:Cardinal);
var
  EndTime:cardinal;
begin
  EndTime:=GetTickCount+iTime;
  while GetTickCount<EndTime do
   ;
end;

procedure WaitProcMes(const iTime:Cardinal);
var
  EndTime: cardinal;
begin
  EndTime := GetTickCount+iTime;
  while GetTickCount<EndTime do
    Application.ProcessMessages;
end;

function DefMessageDlg(const Title : string; const Msg : string;
  DlgType : TMsgDlgType; Buttons : TMsgDlgButtons;
  DefButton : integer; HelpCtx : longint): integer;
var
  cnt : integer;
  btn : TButton;
begin
  with CreateMessageDialog(Msg, DlgType, Buttons) do
  try
    Caption := Title;

    HelpContext := HelpCtx;

    for Cnt := 0 to ComponentCount - 1 do
    begin
      if Components[Cnt] is TButton then
      begin
        Btn:= TButton(Components[Cnt]);
        Btn.Default := Btn.ModalResult = DefButton;
        if Btn.Caption = '&Yes' then
          Btn.Caption := 'n&o'
        else if Btn.Caption = '&No' then
          Btn.Caption := '&Nie'
        else if Btn.Caption = 'Cancel' then
          Btn.Caption := '&Storno';
        if Btn.Default then
          ActiveControl := Btn;
      end;
    end;

    Result := ShowModal;

  finally
    Release;
  end;
end;
                          
end.

